@font-face {
  font-family: Collator;
  src: url('Collator.otf');
}

html, body {
  height: 100%;
}

.container {
  position: relative;
  min-height: 100%;
}

.main {
  padding-bottom: 140px;
}

body {
  background: #f4f0ef;
  font-family: Collator;
  font-size: 12px;
  line-height: 18px;
  color: #535152;
}

.wrap {
  width: 960px;
  margin: 0 auto;
  position: relative;
}

.wrap_narrow {
  width: 740px;
  margin: 0;
  position: relative;
}

.center {
  text-align: center;
}

.clear {
  clear: both;
}

.hidden {
  display: none !important;
}

h2 {
  color: #ff816a;
  font-size: 14px;
  line-height: 18px;
}

a {
  color: #23afa6;
}

a.button {
  display: inline-block;
  border: 2px solid #ff816a;
  padding: 10px 20px 8px 20px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  color: #ff816a;
  text-transform: uppercase;
  text-decoration: none;
  line-height: 12px;
}

a.button:hover,
a.button.active {
  background: #ff816a;
  color: #fff;
}

a.button:hover {
  opacity: 0.8;
}

a.button.active:hover {
  opacity: 1;
}

/*header*/

.header {
  background: #fff;
}

.header .wrap {
  height: 155px;
  position: relative;
}

.header .logo {
  background: #ff816a;
  position: absolute;
  left: 0;
  top: 0;
  width: 160px;
  height: 27px;
  -webkit-border-bottom-right-radius: 4px;
  -webkit-border-bottom-left-radius: 4px;
  -moz-border-radius-bottomright: 4px;
  -moz-border-radius-bottomleft: 4px;
  border-bottom-right-radius: 4px;
  border-bottom-left-radius: 4px;
}

.header .logo a {
  display: block;
  padding: 4px 10px 8px 10px;
}

.header .logo img {
  display: block;
}

.header .blend {
  background: #e4e0df;
  width: 960px;
  height: 10px;
  position: absolute;
  bottom: 0;
  left: 0;
}

.header input {
  font-family: Collator;
  font-size: 12px;
  display: block;
  width: 880px;
  height: 10px;
  border: none;
  padding: 12px 40px 8px 40px;
  background: #e4e0df;
  position: absolute;
  top: 125px;
  left: 0;
  /*margin-left: -370px;*/
}

.header input.add_track {
  background: #e4e0df url('../images/loope.png') no-repeat 10px center;
}

.header input::-webkit-input-placeholder {
  color: #161c20;
}

/*index*/

.content.index h2:first-child {
  padding-top: 60px;
}

.content.index img.logo_index {
  margin: 40px 0 20px 0;
}

.content.index h2 {
  margin-bottom: 25px;
}

.content.index p {
  line-height: 20px;
}

.content.index p.start_session {
  margin: 20px 0;
}

/*session*/

.session .top {
  border-bottom: 1px dotted #494e51;
  padding-top: 35px;
  padding-bottom: 10px;
  transition: all 500 m ease-in-out;
  -webkit-transition: all 500ms ease-in-out;
  -moz-transition: all 500 m ease-in-out;
}

.session a.transport {
  color: #ff816a;
  background: #fbfbfb;
  border: none;
  padding: 10px 10px 8px 25px;
  background-position: 10px 10px;
  background-repeat: no-repeat;
  margin-right: 10px;
}

.session a.transport.play {
  background-image: url('../images/play.png');
}

.session a.transport.play .stop {
  display: none;
}

.session a.transport.stop {
  background-image: url('../images/stop.png');
}

.session input#session_title {
  background: #f4f0ef;
  color: #535152;
  border: none;
  font-size: 14px;
  font-family: Collator;
  padding: 8px 10px 6px 10px;
}

.session input#session_title:focus {
  background: #e4e0df;
}

/*sidebar*/

.session > .wrap > .left {
  float: left;
  width: 740px;
}

.session .sidebar {
  float: right;
  width: 150px;
  height: 100%;
  padding-top: 42px;
}

.session .sidebar a.button {
  width: 70px;
  text-align: center;
}

.session .sidebar .widget {
  border-bottom: 1px dotted #494e51;
  margin-bottom: 15px;
  padding-bottom: 13px;
}

.session .sidebar .widget:last-child {
  border-bottom: none;
}

.session .sidebar h4 {
  height: 20px;
  text-transform: uppercase;
}

.sidebar .widget.help a.hide {
  width: 11px;
  height: 11px;
  float: right;
  display: block;
  text-decoration: none;
  background: url('../images/remove.png') center;
}

.sidebar .widget.rec a.record {
  margin-bottom: 10px;
}

/*user list*/

.session .sidebar .users .user {
  /*color: #e4e0df;*/
  padding: 10px 0;
}

.session .sidebar .users .user .name.you {
  /*color: #fff;*/
}

.session .sidebar .users .user .status {
  display: block;
  color: #ff816a;
}

/*tracks*/

.track_template {
  display: none;
}

.session .tracks {
  margin-top: 55px;
}

.session .tracks .quickstart {
  padding-top: 11px;
  display: none;
}

.session .tracks .quickstart a.button {
  margin-right: 3px;
}

.session .tracks .track h3 {
  margin-bottom: 15px;
  font-size: 14px;
}

.session .tracks .track h3 span {
  font-size: 12px;
  /*color: #e4e0df;*/
}

.session .tracks .track {
  overflow: hidden;
  margin-bottom: 30px;
  position: relative;
}

.session .tracks .track .wrap_narrow {
  background: #e4e0df;
  position: relative;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  padding: 20px 10px;
  width: 720px;
}

.session .tracks .track a.remove {
  float: right;
  display: block;
  font-size: 12px;
  color: #ff816a;
  text-decoration: none;
  background: url('../images/remove.png') no-repeat right 2px;
  padding-right: 16px;
}

.session .tracks .track .meta_left {
  position: absolute;
  left: 0;
  top: 10px;
}

.session .tracks .track .meta_left input {
  background: #e4e0df;
  border: none;
  width: 50px;
  padding: 4px 10px 2px 10px;
  font-size: 14px;
  font-family: Collator;
  margin-bottom: 5px;
}

.session .tracks .track .preloader {
  display: block;
  background: #d7ebe9;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  border-radius: 10px;
  width: 740px;
  height: 200px;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 4000;
  opacity: 0.9;
}

.session .tracks .track .preloader .bar {
  position: absolute;
  left: 0;
  top: 50%;
  height: 4px;
  margin-top: -2px;
  background: #ff816a;
  width: 0%;
  opacity: 0.5;
}

.session .tracks .track .seek {
  position: relative;
  width: 720px;
  height: 40px;
}

.session .tracks .track .wav {
  width: 720px;
  height: 40px;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  background: #23afa6;
}

.session .tracks .track .wav .waveform {
  width: 720px;
  height: 40px;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  background: #b5d5d0;
}

.session .tracks .track .wav canvas {
  width: 720px;
  height: 40px;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 2;
}

.session .tracks .track .wav canvas.cursor {
  z-index: 3;
}

.session .tracks .track .slider.loop.ui-slider {
  z-index: 10;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  border-radius: 0;
  border: none;
  background: transparent;
  height: 40px;
}

.session .tracks .track .slider.loop .ui-slider-handle {
  height: 7px;
  width: 6px;
  border: none;
  outline: none;
  -webkit-border-radius: 0;
  -moz-border-radius: 0;
  border-radius: 0;
  opacity: 1;
}

.session .tracks .track .slider.loop .ui-slider-handle {
  background-image: url('../images/loop_start.png');
}

.session .tracks .track .slider.loop .ui-slider-handle:last-child {
  background-image: url('../images/loop_end.png');
  top: 33px;
}

.session .tracks .track .slider.loop .ui-slider-range {
  background: #fff;
  border-left: 1px dotted #fff;
  border-right: 1px dotted #fff;
  opacity: 0.6;
}

.session .tracks .track .controls {
  margin: 20px 4px 0 4px;

}

/* KNOBS */

.session .tracks .track .controls .knobs {
  float: left;
}

.session .tracks .track .controls .knobs .knobcontainer {
  float: left;
  margin-right: 25px;
}

.session .tracks .track .controls .knobs .knobcontainer.range {
  margin-right: 15px;
}

.session .tracks .track .controls .knobs .knobcontainer div {
  position: relative;
  display: block !important;
}

.session .tracks .track .controls .knobs .knobcontainer canvas {
  display: block;
  position: relative;
}

.session .tracks .track .controls .knobs .knobcontainer input {
  left: 50px;
  top: 1px;
  font-size: 15px !important;
  font-family: Collator !important;
  text-align: center;
  width: 35px !important;
}

.session .tracks .track .controls .knobs .knobcontainer.range canvas {
  margin: 2px;
}

.session .tracks .track .controls .knobs .knobcontainer label {
  display: block;
  text-align: center;
  text-transform: uppercase;
}

.session .tracks .track .controls .knobs .knobcontainer.gain label {
  color: #23afa6
}

.session .tracks .track .controls .knobs .knobcontainer.pitch label {
  color: #23afa6
}

.session .tracks .track .controls .knobs .knobcontainer.range label {
  color: #23afa6
}

/* LOOP WHEEL */

.session .tracks .track .controls .loop {
  margin-top: 20px;
  float: left;
  border-top: 1px solid #c5c1c0;
  border-bottom: 1px solid #c5c1c0;
  padding: 6px 4px 7px 4px;
  height: 33px;
}

.session .tracks .track .controls .loop span {
  display: block;
  float: left;
  text-transform: uppercase;
}

.session .tracks .track .controls .loop span:first-child {
  width: 70px;
}

.session .tracks .track .controls .loop a {
  color: #fff;
}

.session .tracks .track .controls .loop[data-move="start"] a.loop_start,
.session .tracks .track .controls .loop[data-move="end"] a.loop_end,
.session .tracks .track .controls .loop[data-move="start"] a:hover,
.session .tracks .track .controls .loop[data-move="end"] a:hover {
  color: #23afa6;
}

/* BUTTONS */

.session .tracks .track .controls .buttons {
  float: right;
  margin-top: 30px;
}

.session .tracks .track .controls .buttons a {
  padding: 8px 0px 6px 0px;
  width: 66px;
  text-align: center;
  margin-left: 10px;
  /*background: #101518;*/
}

.session .tracks .track .controls .buttons a:hover {
  cursor: pointer;
}

/*.session .tracks .track .controls .buttons .mute {*/
/*border-color: #6ad841;*/
/*color: #6ad841;*/
/*}*/

/*.session .tracks .track .controls .buttons .mute.active {*/
/*background: #6ad841;*/
/*color: #101518;*/
/*}*/

/*.session .tracks .track .controls .buttons .solo {*/
/*border-color: #e4e0df;*/
/*color: #e4e0df;*/
/*}*/

/*.session .tracks .track .controls .buttons .solo.active {*/
/*background: #e4e0df;*/
/*color: #101518;*/
/*}*/

/*.session .tracks .track .controls .buttons .master {*/
/*border-color: #fff;*/
/*color: #fff;;*/
/*}*/

/*.session .tracks .track .controls .buttons .master.active {*/
/*background: #fff;*/
/*color: #101518;*/
/*}*/

/*connection lamp*/

.connection {
  float: right;
  margin-bottom: 20px;
}

.connection .on,
.connection .off {
  float: left;
  display: block;
  height: 10px;
  width: 10px;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
  opacity: 0.2;
  transition: all 0.25s ease-in-out;
  -webkit-transition: all 0.25s ease-in-out;
  -moz-transition: all 0.25s ease-in-out;
}

.connection .on {
  background: #8ac6c6;
}

.connection .off {
  background: #ff816a;
  margin-right: 3px;
}

.connection .on.active,
.connection .off.active {
  opacity: 1;
}

/*footer*/

.footer {
  width: 100%;
  height: 105px;
  background: #e4e0df;
  position: absolute;
  bottom: 0;
  left: 0;
}

.footer a {
  float: right;
  margin-top: 10px;
  opacity: 0.4;
  color: #23afa6;
  text-decoration: none;
}

ul.ui-autocomplete {
  z-index: 1000;
  transition: height 500ms ease-in-out;
  -webkit-transition: height 500ms ease-in-out;
  -moz-transition: height 500 m ease-in-out;
}

ul.ui-autocomplete li {
  width: 940px;
  padding: 0 10px;
  background: #e4e0df;
}

ul.ui-autocomplete li a {
  margin: 0 10px;
  display: block;
  padding: 10px;
  border-bottom: 1px solid #535152;
  color: #535152;
}

ul.ui-autocomplete li:last-child a {
  border-bottom: none;
}

ul.ui-autocomplete li a span.duration {
  float: right;
  color: #ff816a;
}

ul.ui-autocomplete li a span.highlight {
  color: #ff816a;
}

ul.ui-autocomplete li a:hover,
ul.ui-autocomplete li a.ui-state-focus,
ul.ui-autocomplete li a:hover span.highlight,
ul.ui-autocomplete li a.ui-state-focus span.highlight,
ul.ui-autocomplete li a:hover span.duration,
ul.ui-autocomplete li a.ui-state-focus span.duration {
  background: #ff816a;
  color: #fff;
  cursor: pointer;
}

.ui-slider {
  position: relative;
  text-align: left;
}

.ui-slider .ui-slider-handle {
  position: absolute;
  z-index: 2;
  width: 1.2em;
  height: 1.2em;
  cursor: default;
}

.ui-slider .ui-slider-range {
  position: absolute;
  z-index: 1;
  font-size: .7em;
  display: block;
  border: 0;
  background-position: 0 0;
}

.ui-slider-horizontal {
  height: .8em;
}

.ui-slider-horizontal .ui-slider-handle {
  top: -.3em;
  margin-left: -.6em;
}

.ui-slider-horizontal .ui-slider-range {
  top: 0;
  height: 100%;
}

.ui-slider-horizontal .ui-slider-range-min {
  left: 0;
}

.ui-slider-horizontal .ui-slider-range-max {
  right: 0;
}

.ui-slider-vertical {
  width: .8em;
  height: 100px;
}

.ui-slider-vertical .ui-slider-handle {
  left: -.3em;
  margin-left: 0;
  margin-bottom: -.6em;
}

.ui-slider-vertical .ui-slider-range {
  left: 0;
  width: 100%;
}

.ui-slider-vertical .ui-slider-range-min {
  bottom: 0;
}

.ui-slider-vertical .ui-slider-range-max {
  top: 0;
}

.ui-helper-hidden {
  display: none;
}

.ui-helper-hidden-accessible {
  position: absolute !important;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
}

#share .button {
  float: left;
  margin: 10px 10px 0 0;
}
